<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\HildenVHS\HonorarPdf;

use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

class HonorarAbrechnungDialogView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/honorarabrechnung_dialog_hilden_vhs.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $kurs = $this->viewModel->kurs;

    return array($kurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(new \ExportKurse(), array(
      'entfernung' => $this->viewModel->entfernung ?? '',
      'anzahl_kurstage' => count($this->viewModel->kurstage),
      'tool_id' => $this->viewModel->toolId
    ));
  }

  protected function getBodyDataModulArray()
  {
    return array($this->viewModel->dozent);
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpDozenten(true);
  }
}